local require = GLOBAL.require
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS

PrefabFiles = 
{
	"floe",
	"iceclaw",
	"ice_diadem",
	"ice_dagger",
	"frozen_heart",
	"bluegem_fragment",
	"ice_mace",
}

Assets = {
    Asset( "ATLAS", "images/saveslot_portraits/floe.xml" ),
    Asset( "IMAGE", "images/saveslot_portraits/floe.tex" ),
	
	Asset( "ATLAS", "images/selectscreen_portraits/floe.xml" ),
    Asset( "IMAGE", "images/selectscreen_portraits/floe.tex" ),
	
	Asset( "ATLAS", "images/selectscreen_portraits/floe_silho.xml" ),
    Asset( "IMAGE", "images/selectscreen_portraits/floe_silho.tex" ),
	
	Asset( "ATLAS", "bigportraits/floe.xml" ),
    Asset( "IMAGE", "bigportraits/floe.tex" ),
	
	Asset( "ATLAS", "images/floe.xml"),
	Asset( "IMAGE", "images/floe.tex"),
	
	Asset( "ATLAS", "images/floe_warm.xml"),
	Asset( "IMAGE", "images/floe_warm.tex"),
	
	Asset("ATLAS", "images/inventoryimages/ice_magic.xml"),
}

GLOBAL.STRINGS.NAMES.ICE_DIADEM = "Ice crown"
GLOBAL.STRINGS.RECIPE_DESC.ICE_DIADEM = "Freeze your enemies.. in defence."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ICE_DIADEM = "My beloved crown!"

GLOBAL.STRINGS.NAMES.ICE_DAGGER = "Ice dagger"
GLOBAL.STRINGS.RECIPE_DESC.ICE_DAGGER = "Cut your enemies with style!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ICE_DAGGER = "Stylish dagger for a lady."

GLOBAL.STRINGS.NAMES.ICECLAW = "Ice claw"
GLOBAL.STRINGS.RECIPE_DESC.ICECLAW = "Cut trees with ice blade!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ICECLAW = "This axe is so cute."

GLOBAL.STRINGS.NAMES.FROZEN_HEART = "Frozen heart"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.FROZEN_HEART = "I can absorb this heart to regain my power!"

GLOBAL.STRINGS.NAMES.BLUEGEM_FRAGMENT = "Bluegem fragment"
GLOBAL.STRINGS.RECIPE_DESC.BLUEGEM_FRAGMENT = "Broken piece of blue gem."
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.BLUEGEM_FRAGMENT = "Currently, it is a useless piece of blue gem."

GLOBAL.STRINGS.NAMES.BLUEGEM = "Bluegem"
GLOBAL.STRINGS.RECIPE_DESC.BLUEGEM = "Use broken fragments to create bluegem."

GLOBAL.STRINGS.NAMES.ICE_MACE = "Ice mace"
GLOBAL.STRINGS.RECIPE_DESC.ICE_MACE = "Your enemies will suffer!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.ICE_MACE = "Scepter of great value. And this is mine!"

GLOBAL.STRINGS.NAMES.ICE_MAGIC = "ICE MAGIC"


STRINGS.TABS.ICE_MAGIC = "Ice magic"
GLOBAL.RECIPETABS['ICE_MAGIC'] = {str = "ICE_MAGIC", sort=3, icon = "ice_magic.tex", icon_atlas = "images/inventoryimages/ice_magic.xml"}


function FloePostInit(floe)

local bluegem_fragment = Ingredient( "bluegem_fragment", 5)
bluegem_fragment.atlas = "images/inventoryimages/bluegem_fragment.xml"

local frozen_heart = Ingredient( "frozen_heart", 1)
frozen_heart.atlas = "images/inventoryimages/frozen_heart.xml"

	local bluegemrecipe = GLOBAL.Recipe( ("bluegem"), {bluegem_fragment}, RECIPETABS.ICE_MAGIC,  {SCIENCE = 0} )
	
	local iceclawrecipe = Recipe( "iceclaw", { Ingredient("bluegem", 1),Ingredient("goldenaxe", 1)}, RECIPETABS.ICE_MAGIC, {SCIENCE = 1} )
	iceclawrecipe.atlas = "images/inventoryimages/iceclaw.xml"
	
	local ice_daggerrecipe = Recipe( "ice_dagger", { Ingredient("bluegem", 1),Ingredient("goldnugget", 1),Ingredient("flint", 3)}, RECIPETABS.ICE_MAGIC, {SCIENCE = 1} )
	ice_daggerrecipe.atlas = "images/inventoryimages/ice_dagger.xml"	
	
	local ice_macerecipe = GLOBAL.Recipe( "ice_mace", {frozen_heart, Ingredient("goldnugget", 3),Ingredient("nightmarefuel", 5)}, RECIPETABS.ICE_MAGIC,  {SCIENCE = 1} )
    ice_macerecipe.atlas = "images/inventoryimages/ice_mace.xml"

    local ice_diademrecipe = Recipe( "ice_diadem", { Ingredient("bluegem", 6),Ingredient("goldnugget", 2),Ingredient("nightmarefuel", 3)}, RECIPETABS.ICE_MAGIC, {SCIENCE = 1} )
    ice_diademrecipe.atlas = "images/inventoryimages/ice_diadem.xml"
	
	if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then 
	local bluegem_fragment = Ingredient( "bluegem_fragment", 3)
    bluegem_fragment.atlas = "images/inventoryimages/bluegem_fragment.xml"

	local bluegemrecipe = GLOBAL.Recipe( ("bluegem"), {bluegem_fragment, Ingredient("ice", 6)}, RECIPETABS.ICE_MAGIC,  {SCIENCE = 0} )
    end
end


AddSimPostInit(function(inst)
        if inst.prefab == "floe" then
                FloePostInit(inst)
        end
end)

local function ModMaxwellIntro(inst)
    if GLOBAL.GetPlayer().prefab == "floe" then
        inst.components.maxwelltalker.speeches.SANDBOX_1 =
        {
            appearsound = "dontstarve/maxwell/disappear",
	        voice = "dontstarve/maxwell/talk_LP",
		    appearanim = "appear",
		    idleanim= "idle",
		    dialogpreanim = "dialog_pre",
		    dialoganim="dial_loop",
		    dialogpostanim = "dialog_pst",
		    disappearanim = "disappear",
            disableplayer = true,
            skippable = false,
            {
                string = "Floe. Not so self confident anymore?",
                wait = 4,
                anim = nil,
                sound = nil,
            },
            {
                string = "You think that you can be more cheeky than me! Ha!",
                wait = 4,
                anim = nil,
                sound = nil,
            },
            {
                string = "Only I can rule!",
                wait = 4,
                anim = nil,
                sound = nil,
            },
            {
                string = "Bow before me and maybe I'll let you go! ",
                wait = 4,
                anim = dialog1_loop,
                sound = nil,
            },
	}
    end
end

AddPrefabPostInit("maxwellintro", ModMaxwellIntro)

AddModCharacter("floe")
modimport "floe_loot.lua"
table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "floe")

AddMinimapAtlas("images/floe.xml")
AddMinimapAtlas("images/floe_warm.xml")
AddMinimapAtlas("images/inventoryimages/iceclaw.xml")
AddMinimapAtlas("images/inventoryimages/ice_dagger.xml")
AddMinimapAtlas("images/inventoryimages/ice_diadem.xml")
AddMinimapAtlas("images/inventoryimages/ice_mace.xml")

--[[	if GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS) then 
local function AoSFix(inst) 
inst:AddComponent("switch") 
end 
    end

for _, moddir in ipairs(GLOBAL.KnownModIndex:GetModsToLoad()) do 
if GLOBAL.KnownModIndex:GetModInfo(moddir).name == "Always On Status" then 
AddPrefabPostInit("floe", AoSFix) 
end 
end]]

table.insert(Assets, Asset("ANIM", "anim/healthf.zip"))

local function FloeHealthBadge(class)
	if GLOBAL.GetPlayer().prefab == "floe" then

	class.heart.anim:GetAnimState():SetBuild("healthf")
	
	end
end

AddClassPostConstruct("widgets/statusdisplays", FloeHealthBadge)

