local MakePlayerCharacter = require "prefabs/player_common"

local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/maxwell.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

        Asset( "ANIM", "anim/floe.zip" ),	
        Asset( "ANIM", "anim/floe_summer.zip" ),		
}

local prefabs = {}

local start_inv = {"bluegem",}	

local function updatestats(inst)
	local health_percent = inst.components.health:GetPercent()
		
	if GetSeasonManager():IsWinter() then
	inst.components.combat.damagemultiplier = 1.1	
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.1)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.1)
	inst:AddComponent("recovery")
	inst:AddComponent("freezable")
    inst.components.freezable:SetResistance(999)
	
	inst.components.talker.colour = Vector3(.4, .6, .9, 0)	
	inst.AnimState:SetBuild("floe")	
	inst.MiniMapEntity:SetIcon( "floe.tex" )
	
	
	elseif GetSeasonManager():IsSummer() then
	inst.components.combat.damagemultiplier = 1		
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1)	
	
	inst.components.talker.colour = Vector3(.9, .1, .1, 0)	
	inst.AnimState:SetBuild("floe_summer")
	inst.MiniMapEntity:SetIcon( "floe_warm.tex" ) 

	
	elseif GetSeasonManager():IsSpring() then
	inst.components.combat.damagemultiplier = 1		
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1)
	
	inst.components.talker.colour = Vector3(.9, .1, .1, 0)	
	inst.AnimState:SetBuild("floe_summer")
	inst.MiniMapEntity:SetIcon( "floe_warm.tex" ) 		

	
	elseif GetSeasonManager():IsAutumn() then
	inst.components.combat.damagemultiplier = 1		
	inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1)
	inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1)
	
	inst.components.talker.colour = Vector3(.9, .1, .1, 0)
	inst.AnimState:SetBuild("floe_summer")	
	inst.MiniMapEntity:SetIcon( "floe_warm.tex" )

end
end
	
local function updatestats1(inst)
local health_percent = inst.components.health:GetPercent()

if GetSeasonManager():IsWinter() then
inst.components.combat.damagemultiplier = 1.1
inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1.1)
inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1.1)
inst:AddComponent("recovery")

inst.components.talker.colour = Vector3(.4, .6, .9, 0)
inst.AnimState:SetBuild("floe")
inst.MiniMapEntity:SetIcon( "floe.tex" )


elseif GetSeasonManager():IsSummer() then
inst.components.combat.damagemultiplier = 1
inst.components.locomotor.runspeed = (TUNING.WILSON_RUN_SPEED * 1)
inst.components.locomotor.walkspeed = (TUNING.WILSON_WALK_SPEED * 1)

inst.components.talker.colour = Vector3(.9, .1, .1, 0)
inst.AnimState:SetBuild("floe_summer")
inst.MiniMapEntity:SetIcon( "floe_warm.tex" ) 


end
end

	
local fn = function(inst)
	inst.soundsname = "Wallace"
    inst.entity:AddMiniMapEntity()
	
	inst.components.health.fire_damage_scale = 2	
    inst.components.health:SetMaxHealth(100)	
	inst.components.sanity:SetMax(200)
	
	inst.components.temperature.maxtemp = ( 100 )
	inst.components.temperature.mintemp = ( 12 )	
		
 if IsDLCEnabled(REIGN_OF_GIANTS) then 
    inst:ListenForEvent( "seasonChange", function() updatestats(inst) end , GetWorld())
updatestats(inst)
else
    inst:ListenForEvent( "seasonChange", function() updatestats1(inst) end , GetWorld())
updatestats1(inst)
end
	
end


STRINGS.CHARACTER_TITLES.floe = "Ice witch"
STRINGS.CHARACTER_NAMES.floe = "Floe"
STRINGS.CHARACTER_DESCRIPTIONS.floe = "*Immune to freezing\n*Can create special ice items\n*Better, faster, stronger in winter"
STRINGS.CHARACTER_QUOTES.floe = "\"Give me your frozen heart!\""

STRINGS.CHARACTERS.FLOE = require "speech_floe"
return MakePlayerCharacter("floe", prefabs, assets, fn, start_inv)
