local assets =
{
    Asset("ANIM", "anim/ice_dagger.zip"),
   	Asset("ANIM", "anim/swap_ice_dagger.zip"),
	Asset("ATLAS", "images/inventoryimages/ice_dagger.xml"),
	Asset("IMAGE", "images/inventoryimages/ice_dagger.tex"),	
}

local function onfinished(inst)
    local owner = inst.components.inventoryitem and inst.components.inventoryitem.owner
    if owner then
        owner.SoundEmitter:PlaySound("dontstarve/wilson/use_break")
        local brokentool = SpawnPrefab("brokentool")
        brokentool.Transform:SetPosition(inst.Transform:GetWorldPosition() )
    inst:Remove()
	end
end

local function onattack_FROST(inst, attacker, target)

    if target.components.freezable then
        target.components.freezable:SpawnShatterFX()
    end
    if target.components.sleeper and target.components.sleeper:IsAsleep() then
        target.components.sleeper:WakeUp()
    end
    if target.components.burnable and target.components.burnable:IsBurning() then
        target.components.burnable:Extinguish()
    end
    if target.components.combat then
        target.components.combat:SuggestTarget(attacker)
    end
end

local function onequip(inst, owner)
    owner.AnimState:OverrideSymbol("swap_object", "swap_ice_dagger", "swap_nightmaresword")
	owner.SoundEmitter:PlaySound("dontstarve/common/ghost_spawn")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal")
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end


local function fn(Sim)
    local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
	MakeInventoryPhysics(inst)
	 
	anim:SetBank("nightmaresword")
	anim:SetBuild("ice_dagger")
	anim:PlayAnimation("idle")
	 
    inst:AddTag("sharp")
    
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(44)
	
	inst.components.weapon:SetOnAttack(onattack_FROST)
	
	inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(100)
    inst.components.finiteuses:SetUses(100)
    inst.components.finiteuses:SetOnFinished( onfinished )	
    
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/ice_dagger.xml"
	inst.entity:AddMiniMapEntity()
	inst.MiniMapEntity:SetIcon( "ice_dagger.tex" )
    
   	inst:AddComponent("inspectable")
	
   	inst:AddTag("irreplaceable")
    
    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
	
end

return Prefab( "common/inventory/ice_dagger", fn, assets)
