local assets=
{
	Asset("ANIM", "anim/ice_diadem.zip"),
	Asset("ATLAS", "images/inventoryimages/ice_diadem.xml"),
	Asset("IMAGE", "images/inventoryimages/ice_diadem.tex"),
}

local function onfinished(inst)
    local owner = inst.components.inventoryitem and inst.components.inventoryitem.owner
    if owner then
        owner.SoundEmitter:PlaySound("dontstarve/wilson/use_break")
        local brokentool = SpawnPrefab("brokentool")
        brokentool.Transform:SetPosition(inst.Transform:GetWorldPosition() )
    inst:Remove()
	end
end

local function onequip(inst, owner)
        owner.AnimState:OverrideSymbol("swap_hat", "ice_diadem", "swap_hat")
		owner.SoundEmitter:PlaySound("dontstarve/common/ghost_spawn")

    inst.freezefn = function(attacked, data)
        if data and data.attacker and data.attacker.components.freezable then
            data.attacker.components.freezable:AddColdness(5.00)
            data.attacker.components.freezable:SpawnShatterFX()
            inst.components.fueled:DoDelta(-(inst.components.fueled.maxfuel * 0.03))			
        end 
    end

    inst:ListenForEvent("attacked", inst.freezefn, owner)
	
        owner.AnimState:Show("HAT")
        owner.AnimState:Show("HAT_HAIR")
        owner.AnimState:Hide("HAIR_NOHAT")
        owner.AnimState:Hide("HAIR")
end

local function onunequip(inst, owner) 
		inst:RemoveEventCallback("attacked", inst.freezefn, owner)

        owner.AnimState:Hide("HAT")
        owner.AnimState:Hide("HAT_HAIR")
        owner.AnimState:Show("HAIR_NOHAT")
        owner.AnimState:Show("HAIR")
end


local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
    inst:AddTag("hat")
    
    anim:SetBank("bushhat")
    anim:SetBuild("ice_diadem")
    anim:PlayAnimation("anim")    
        
    inst:AddComponent("inspectable")
    
    inst:AddTag("irreplaceable")
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/ice_diadem.xml"
	inst.entity:AddMiniMapEntity()
	inst.MiniMapEntity:SetIcon( "ice_diadem.tex" )
	
    inst:AddComponent("fueled")
    inst.components.fueled.fueltype = "MAGIC"
    inst.components.fueled:InitializeFuelLevel(360*3)
    inst.components.fueled:SetDepletedFn(onfinished)
    
    inst:AddComponent("equippable")
    inst.components.equippable.equipslot = EQUIPSLOTS.HEAD
    
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )
    
    return inst
end

return Prefab( "common/inventory/ice_diadem", fn, assets) 
