local assets =
{
	Asset("ANIM", "anim/iceclaw.zip"),
	Asset("ANIM", "anim/swap_iceclaw.zip"),
	Asset("ATLAS", "images/inventoryimages/iceclaw.xml"),
	Asset("IMAGE", "images/inventoryimages/iceclaw.tex"),	
}

local function onfinished(inst)
    local owner = inst.components.inventoryitem and inst.components.inventoryitem.owner
    if owner then
        owner.SoundEmitter:PlaySound("dontstarve/wilson/use_break")
        local brokentool = SpawnPrefab("brokentool")
        brokentool.Transform:SetPosition(inst.Transform:GetWorldPosition() )
    inst:Remove()
	end
end

local function onattack_FROST(inst, attacker, target)

    if target.components.freezable then
        target.components.freezable:SpawnShatterFX()
    end
    if target.components.sleeper and target.components.sleeper:IsAsleep() then
        target.components.sleeper:WakeUp()
    end
    if target.components.burnable and target.components.burnable:IsBurning() then
        target.components.burnable:Extinguish()
    end
    if target.components.combat then
        target.components.combat:SuggestTarget(attacker)
    end
end

local function onequip(inst, owner) 
    owner.AnimState:OverrideSymbol("swap_object", "swap_iceclaw", "swap_axe")
	owner.SoundEmitter:PlaySound("dontstarve/common/ghost_spawn")
    owner.AnimState:Show("ARM_carry") 
    owner.AnimState:Hide("ARM_normal") 
end

local function onunequip(inst, owner) 
    owner.AnimState:Hide("ARM_carry") 
    owner.AnimState:Show("ARM_normal") 
end

local function fn(Sim)
	local inst = CreateEntity()
	local trans = inst.entity:AddTransform()
	local anim = inst.entity:AddAnimState()
	inst.entity:AddSoundEmitter()
    MakeInventoryPhysics(inst)
    
    anim:SetBank("axe")
    anim:SetBuild("iceclaw")
    anim:PlayAnimation("idle")
    
    inst:AddTag("sharp")
	
    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(32)
	inst.components.weapon:SetOnAttack(onattack_FROST)


    inst:AddComponent("tool")
    inst.components.tool:SetAction(ACTIONS.CHOP)
	
	inst:AddComponent("inventoryitem")
	inst.components.inventoryitem.atlasname = "images/inventoryimages/iceclaw.xml"
	inst.entity:AddMiniMapEntity()
	inst.MiniMapEntity:SetIcon( "iceclaw.tex" )

    inst:AddComponent("finiteuses")
    inst.components.finiteuses:SetMaxUses(420)
    inst.components.finiteuses:SetUses(420)
    inst.components.finiteuses:SetOnFinished(onfinished)
    inst.components.finiteuses:SetConsumption(ACTIONS.CHOP, 1)

    
    inst:AddComponent("inspectable")
	
    inst:AddComponent("equippable")

    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip)

    
    return inst
end

return Prefab( "common/inventory/iceclaw", fn, assets)